org.apache.jmeter.timers

## Class BSFTimer

- java.lang.Object
- - org.apache.jmeter.testelement.AbstractTestElement
  - - org.apache.jmeter.util.ScriptingTestElement
    - - org.apache.jmeter.util.BSFTestElement
      - - org.apache.jmeter.timers.BSFTimer

All Implemented Interfaces:
  Serializable, Cloneable, Searchable, TestBean, TestElement, Timer

    public class BSFTimer
    extends BSFTestElement
    implements Cloneable, Timer, TestBean

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.jmeter.util.ScriptingTestElement

`DEFAULT_SCRIPT_LANGUAGE, scriptLanguage`

### Fields inherited from interface org.apache.jmeter.testelement.TestElement

`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

### Constructor Summary

Constructors
Constructor and Description
`BSFTimer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `clone()`
`long` `delay()` This method is called after a sampling process is done to know how much time the sampling thread has to wait until sampling again.

### Methods inherited from class org.apache.jmeter.util.BSFTestElement

`evalFileOrScript, getManager, getScriptLanguage, initManager, processFileOrScript, setScriptLanguage`

### Methods inherited from class org.apache.jmeter.util.ScriptingTestElement

`getFilename, getParameters, getScript, isStopCondition, setFilename, setParameters, setScript`

### Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

`addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.jmeter.timers.Timer

`isModifiable`

### Methods inherited from interface org.apache.jmeter.testelement.TestElement

`removed`

### Constructor Detail

#### BSFTimer

    public BSFTimer()

### Method Detail

#### delay

    public long delay()

This method is called after a sampling process is done to know how much time the sampling thread has to wait until sampling again.

Specified by:
  `delay` in interface `Timer`
Returns:
  the computed delay value.

#### clone

    public Object clone()

Specified by:
  `clone` in interface `TestElement`
Overrides:
  `clone` in class `AbstractTestElement`